# fuNote

This is a minimalistic, (almost) POSIX complaint terminal text editor,
which should be working on all common (and not so common) VT100
compatible terminal emulators.

This started as a little experiment, how far I can go with just a C
compiler and the Linux manpages, without any libs or other external
dependencies such as ncurses. This is a working text editor and
perfectly fine for quickly edit some configuration files or take some
notes, but definitive not intended to use as a full blown IDE.

## Features

* Load/Save/Create text files
* Common keyboard controls
* Search
* Syntax Highlighting for C (so you can edit fuNote source IN fuNote)
* Super small (23k binary)
* No dependencies

## Limitations

* No UTF-8. If you open an UTF-8 file with only characters from the ASCII
  table (most of English texts and source code), it works just fine
  (because ASCII and UTF-8 are compatible in the "upper part" of the table),
  but you will mess up your file when you are edit files with special
  chars like ö in it.

## Compile

    $ make

## Run
    $ ./fn [filename]

## Author

Aaron Fischer (<mail@aaron-fischer.net>)
https://aaron-fischer.net/
